PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package environment
  Definition Classes
    serverobject
- DeepCircularSurface
- DeepPlane
- DeepSquare
- DeepSurface
- EnvironmentAttribute
- EnvironmentCollision
- EnvironmentTrait
- EscapeFromEnvironment
- GantryDenialField
- InteractWithEnvironment
- InteractsWithZoneEnvironment
- OxygenStateTarget
- PieceOfEnvironment
- Pool
- RecoveredFromEnvironmentInteraction
- RespondsToZoneEnvironment
- SeaLevel

c

net.psforever.objects.serverobject.environment

# SeaLevel

###
Companion object SeaLevel

#### final case class SeaLevel(attribute: EnvironmentTrait, altitude: Float) extends PieceOfEnvironment with Product with Serializable

A planar environment that spans the whole of the game world and starts at and below a certain altitude.

attribute

  of what the environment is composed

altitude

  how high the environment starts

Source
  PieceOfEnvironment.scala

Linear Supertypes
Serializable, Product, Equals, PieceOfEnvironment, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SeaLevel
2. Serializable
3. Product
4. Equals
5. PieceOfEnvironment
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SeaLevel(attribute: EnvironmentTrait, altitude: Float)

   attribute

     of what the environment is composed

   altitude

     how high the environment starts

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val altitude: Float
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val attribute: EnvironmentTrait

   a general description of this environment

   a general description of this environment

   Definition Classes
     SeaLevel → PieceOfEnvironment
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def collision: EnvironmentCollision

   a special representation of the region that qualifies as "this environment"

   a special representation of the region that qualifies as "this environment"

   Definition Classes
     SeaLevel → PieceOfEnvironment
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def testInteraction(pos: Vector3, varDepth: Float): Boolean

    Is the test point "within" the bounds of the represented environment?

    Is the test point "within" the bounds of the represented environment?

    pos

      the test point

    varDepth

      how far "into" the environment the point must be

    returns

      `true`, if the point is sufficiently "deep"; `false`, otherwise

    Definition Classes
      PieceOfEnvironment
19.  def testStepIntoInteraction(pos: Vector3, previousPos: Vector3, varDepth: Float): Option[Boolean]

    Did the test point move into or leave the bounds of the represented environment since its previous test?

    Did the test point move into or leave the bounds of the represented environment since its previous test?

    pos

      the test point

    previousPos

      the previous test point which is being compared against

    varDepth

      how far "into" the environment the point must be

    returns

      `Some(true)`, if the point has become sufficiently "deep"; `Some(false)`, if the point has left the sufficiently "deep" region; `None`, otherwise

    Definition Classes
      PieceOfEnvironment
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from PieceOfEnvironment

### Inherited from AnyRef

### Inherited from Any

### Ungrouped